AddressingConstants (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.ws.addressing

## Class AddressingConstants

- java.lang.Object
- - org.apache.cxf.ws.addressing.AddressingConstants

-     public class AddressingConstants
      extends Object

  Encapsulation of version-specific WS-Addressing constants.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AddressingConstants()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QName` | `getActionNotSupportedQName()` |
    `String` | `getActionNotSupportedText()` |
    `QName` | `getActionQName()` |
    `QName` | `getAddressQName()` |
    `String` | `getAnonymousURI()` |
    `String` | `getDefaultFaultAction()` |
    `QName` | `getDestinationUnreachableQName()` |
    `String` | `getDestinationUnreachableText()` |
    `String` | `getDuplicateMessageIDText()` |
    `QName` | `getEndpointUnavailableQName()` |
    `String` | `getEndpointUnavailableText()` |
    `QName` | `getFaultToQName()` |
    `QName` | `getFromQName()` |
    `QName` | `getInvalidMapQName()` |
    `String` | `getInvalidMapText()` |
    `QName` | `getIsReferenceParameterQName()` |
    `QName` | `getMapRequiredQName()` |
    `String` | `getMapRequiredText()` |
    `QName` | `getMessageIDQName()` |
    `QName` | `getMetadataQName()` |
    `String` | `getNamespaceURI()` |
    `String` | `getNoneURI()` |
    `QName` | `getRelatesToQName()` |
    `String` | `getRelationshipReply()` |
    `QName` | `getRelationshipTypeQName()` |
    `QName` | `getReplyToQName()` |
    `QName` | `getToQName()` |
    `QName` | `getWSDLActionQName()` |
    `QName` | `getWSDLExtensibilityQName()` |
    `String` | `getWSDLNamespaceURI()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddressingConstants

          public AddressingConstants()

  - ### Method Detail

    - #### getNamespaceURI

          public String getNamespaceURI()

      Returns:
        namespace defined by the normative WS-Addressing Core schema

    - #### getWSDLNamespaceURI

          public String getWSDLNamespaceURI()

      Returns:
        namespace defined by the normative WS-Addressing WSDL bindings schema

    - #### getWSDLExtensibilityQName

          public QName getWSDLExtensibilityQName()

      Returns:
        QName of the WSDL extensiblity element

    - #### getWSDLActionQName

          public QName getWSDLActionQName()

      Returns:
        QName of the wsaw:Action element

    - #### getAnonymousURI

          public String getAnonymousURI()

      Returns:
        Anonymous address URI

    - #### getNoneURI

          public String getNoneURI()

      Returns:
        None address URI

    - #### getFromQName

          public QName getFromQName()

      Returns:
        QName of the From addressing header

    - #### getToQName

          public QName getToQName()

      Returns:
        QName of the To addressing header

    - #### getReplyToQName

          public QName getReplyToQName()

      Returns:
        QName of the ReplyTo addressing header

    - #### getFaultToQName

          public QName getFaultToQName()

      Returns:
        QName of the FaultTo addressing header

    - #### getActionQName

          public QName getActionQName()

      Returns:
        QName of the Action addressing header

    - #### getMessageIDQName

          public QName getMessageIDQName()

      Returns:
        QName of the MessageID addressing header

    - #### getRelationshipReply

          public String getRelationshipReply()

      Returns:
        Default value for RelationshipType indicating a reply to the related message

    - #### getRelatesToQName

          public QName getRelatesToQName()

      Returns:
        QName of the RelatesTo addressing header

    - #### getRelationshipTypeQName

          public QName getRelationshipTypeQName()

      Returns:
        QName of the Relationship addressing header

    - #### getMetadataQName

          public QName getMetadataQName()

      Returns:
        QName of the Metadata

    - #### getAddressQName

          public QName getAddressQName()

      Returns:
        QName of the Address

    - #### getIsReferenceParameterQName

          public QName getIsReferenceParameterQName()

      Returns:
        QName of the reference parameter marker

    - #### getInvalidMapQName

          public QName getInvalidMapQName()

      Returns:
        QName of the Invalid Message Addressing Property fault subcode

    - #### getMapRequiredQName

          public QName getMapRequiredQName()

      Returns:
        QName of the Message Addressing Property Required fault subcode

    - #### getDestinationUnreachableQName

          public QName getDestinationUnreachableQName()

      Returns:
        QName of the Destination Unreachable fault subcode

    - #### getActionNotSupportedQName

          public QName getActionNotSupportedQName()

      Returns:
        QName of the Action Not Supported fault subcode

    - #### getEndpointUnavailableQName

          public QName getEndpointUnavailableQName()

      Returns:
        QName of the Endpoint Unavailable fault subcode

    - #### getDefaultFaultAction

          public String getDefaultFaultAction()

      Returns:
        Default Fault Action

    - #### getActionNotSupportedText

          public String getActionNotSupportedText()

      Returns:
        Action Not Supported text

    - #### getDestinationUnreachableText

          public String getDestinationUnreachableText()

      Returns:
        Destination Unreachable text

    - #### getEndpointUnavailableText

          public String getEndpointUnavailableText()

      Returns:
        Endpoint Unavailable text

    - #### getInvalidMapText

          public String getInvalidMapText()

      Returns:
        Invalid Message Addressing Property text

    - #### getMapRequiredText

          public String getMapRequiredText()

      Returns:
        Message Addressing Property Required text

    - #### getDuplicateMessageIDText

          public String getDuplicateMessageIDText()

      Returns:
        Duplicate Message ID text